package br.ufes.inf.lp.ppgicred.dominio

import java.util.Date

import scala.collection.mutable

class Regra (val inicio: Date, val fim: Date, val multiplicadorPeriodico: Double, val anosParaConsiderar: Int, val pontuacaoMinima: Double) {
  private[this] var mapaPontuacoes: mutable.TreeMap[String, Integer] = mutable.TreeMap[String, Integer]()

  // Adiciona uma nova pontuação ao mapa de pontuações.
  def adicionaPontuacao (qualis: String, pontuacao: Int): Unit = {
    mapaPontuacoes += (qualis -> pontuacao)
  }

  def getPontuacaoQualis (qualis: String): Int = mapaPontuacoes(qualis)
}
